%global _hardened_build 1
Summary: Transparent and scalable SSL/TLS interception
Name: sslsplit
Version: 0.4.8
Release: 3%{?dist}
License: BSD
Url: http://www.roe.ch/SSLsplit
Source: http://mirror.roe.ch/rel/%{name}/%{name}-%{version}.tar.bz2
Group: Applications/System
Buildrequires: libevent-devel, openssl-devel, check-devel
Requires: iptables, iproute

%description
SSLsplit is a tool for man-in-the-middle attacks against SSL/TLS encrypted
network connections. Connections are transparently intercepted through a
network address translation engine and redirected to SSLsplit. SSLsplit
terminates SSL/TLS and initiates a new SSL/TLS connection to the original
destination address, while logging all data transmitted. SSLsplit is
intended to be useful for network forensics and penetration testing.

It uses Linux netfilter REDIRECT and TPROXY

%prep
%setup -q 

%build
# work around some odd build system option passing
export CFLAGS="%{optflags} -fPIE -pie"
export LDFLAGS="$LDFLAGS -Wl,-z,relro,-z,now -pie"
export DEBUG_CFLAGS="%{optflags}"
make %{?_smp_mflags} 

%check
# Requires a network connection
# make test

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1/
cp -a %{name} %{buildroot}%{_bindir}
cp -a %{name}.1  %{buildroot}%{_mandir}/man1/

%files 
%attr(0755,root,root) %{_bindir}/%{name}
%doc README TODO
%{_mandir}/*/*

%changelog
* Tue Sep 30 2014 Paul Wouters <pwouters@redhat.com> - 0.4.8-3
- Initial package for epel7
